Create condition node
curl --request POST \
--url https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/conditions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

{
"actionId": 123,
"analytics": {
"active": 123,
"completed": 123,
"endValue": 123,
"failed": 123
},
"branches": [
{
"analytics": {
"count": 123,
"percentage": 123
},
"description": "<string>",
"fromNodeId": 123,
"id": 123,
"name": "<string>",
"toNodeId": 123
}
],
"conditionId": 123,
"distributionStrategy": "<string>",
"id": 123,
"sequenceId": 123,
"type": "<string>",
"variants": [
{
"exposureInPercentage": 123,
"id": 123,
"isEnabled": true,
"metadata": {
"allowedValidationStatuses": [
"<string>"
],
"contentSource": "api",
"message": "<string>",
"name": "<string>",
"subject": "<string>"
},
"nodeId": 123
}
],
"waitInMinutes": 123,
"waitType": "<string>"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}multichannel
Create condition node
POST
/
multichannel
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
/
nodes
/
conditions
Create condition node
Authorizations
Body
application/json
Create condition node request
- Option 1
- Option 2
The body is of type object.
